# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'opera-mobile-store-sdk/version'

Gem::Specification.new do |spec|
  spec.name          = "opera-mobile-store-sdk"
  spec.version       = Opera::MobileStoreSDK::VERSION
  spec.authors       = ["Roberto Quintanilla"]
  spec.email         = ["roberto.quintanilla@naranya.com"]

  spec.summary       = %q{SDK for communicating with the Opera Mobile Store Publisher API}
  spec.description   = %q{SDK for communicating with the Opera Mobile Store Publisher API.}
  spec.homepage      = "http://www.example.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server."
  #end

  spec.add_runtime_dependency "activesupport", "~> 4.0"
  spec.add_runtime_dependency "activemodel",   "~> 4.0"
  spec.add_runtime_dependency "nokogiri",      "~> 1.6"
  spec.add_runtime_dependency "faraday",       "~> 0.9"
  spec.add_runtime_dependency "htmlentities",  "~> 4.3"

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake",    "~> 10.0"

end
